<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Jobs\InitializeLeaveDays;

class InitializeLeaveDaysCommand extends Command
{
    protected $signature = 'initialize:leavedays {year?}';
    protected $description = 'Initialize leave days for users';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        $year = $this->argument('year');
        InitializeLeaveDays::dispatch($year);
    }
}
